﻿<UserControl
	xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
	xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
	xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
	xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
	xmlns:views="clr-namespace:HashingTool.Views"
	xmlns:userControl="clr-namespace:HashingTool.ViewModel.UserControl"
	x:Class="HashingTool.Views.VectoXMLFileSelector"
	mc:Ignorable="d" d:DesignWidth="456" MinHeight="32"
	d:DataContext="{d:DesignInstance views:VectoXMLFileSelector}">
	<UserControl.Resources>
		<BooleanToVisibilityConverter x:Key="BoolToVis" />
	</UserControl.Resources>
	<StackPanel Margin="0,5" HorizontalAlignment="Stretch">
		<DockPanel HorizontalAlignment="Stretch" Height="Auto" Margin="0" VerticalAlignment="Top">

			<!--<ContentControl DockPanel.Dock="Right"
							Visibility="{Binding XMLFile.HasContentValidation, Converter={StaticResource BoolToVis}}" Width="40" Height="40"
							Margin="10,-5,5,0">
				<ContentControl.LayoutTransform>
					<ScaleTransform ScaleX=".4" ScaleY=".4" />
				</ContentControl.LayoutTransform>
				<ContentControl.Style>
					<Style TargetType="ContentControl">
						<Setter Property="Content" Value="" />
						<Setter Property="ToolTip" Value="Not Validated" />
						<Style.Triggers>
							<DataTrigger Binding="{Binding XMLFile.ContentValid}" Value="True">
								<Setter Property="ContentTemplate" Value="{StaticResource Icon_OK}" />
								<Setter Property="ToolTip" Value="Correct Filetype" />
							</DataTrigger>
							<DataTrigger Binding="{Binding XMLFile.ContentValid}" Value="False">
								<Setter Property="ContentTemplate" Value="{StaticResource Icon_NOK}" />
								<Setter Property="ToolTip" Value="Incorrect Filetype!" />
							</DataTrigger>
						</Style.Triggers>
					</Style>
				</ContentControl.Style>
			</ContentControl>-->


			<ContentControl DockPanel.Dock="Right" Height="33" Margin="0,5,5,0" VerticalAlignment="Top"
							HorizontalAlignment="Right" Width="90" ToolTip="{Binding XMLFile.ToolTip}">
				<ContentControl.LayoutTransform>
					<ScaleTransform ScaleX="0.5" ScaleY="0.5" />
				</ContentControl.LayoutTransform>
				<ContentControl.Style>
					<Style TargetType="ContentControl">
						<Setter Property="ContentTemplate" Value="{StaticResource ICON_XML_outline}" />
						<Setter Property="ToolTip" Value="Not validated" />
						<Style.Triggers>
							<DataTrigger Binding="{Binding XMLFile.IsValid}" Value="{x:Static userControl:XmlFileStatus.ValidXML}">
								<Setter Property="ContentTemplate" Value="{StaticResource Icon_XML_green}" />
							</DataTrigger>
							<DataTrigger Binding="{Binding XMLFile.IsValid}" Value="{x:Static userControl:XmlFileStatus.IncorrectContent}">
								<Setter Property="ContentTemplate" Value="{StaticResource Icon_XML_green2}" />

							</DataTrigger>
							<DataTrigger Binding="{Binding XMLFile.IsValid}" Value="{x:Static userControl:XmlFileStatus.InvalidXML}">
								<Setter Property="ContentTemplate" Value="{StaticResource Icon_XML_green1}" />

							</DataTrigger>
							<DataTrigger Binding="{Binding XMLFile.IsValid}" Value="{x:Static userControl:XmlFileStatus.Invalid}">
								<Setter Property="ContentTemplate" Value="{StaticResource Icon_XML_red}" />

							</DataTrigger>
						</Style.Triggers>
					</Style>
				</ContentControl.Style>
			</ContentControl>

			<Button DockPanel.Dock="Right" Name="btnBrowse" Content="Browse ..."
					Command="{Binding XMLFile.BrowseFileCommand, Mode=OneWay}"
					Margin="0,0,10,0"
					VerticalAlignment="Top" HorizontalAlignment="Right" Width="75" />

			<TextBox DockPanel.Dock="Left" HorizontalAlignment="Stretch" VerticalAlignment="Top" Height="23"
					Margin="0,0,10,0" TextWrapping="NoWrap" Text="{Binding XMLFile.Source, UpdateSourceTrigger=PropertyChanged}">
				<TextBox.InputBindings>
					<KeyBinding Command="{Binding XMLFile.SetXMLFileCommnd}" Key="Return" />
				</TextBox.InputBindings>
			</TextBox>

		</DockPanel>

		<StackPanel Orientation="Horizontal" Margin="0,5,0,0">
			<StackPanel.Style>
				<Style TargetType="StackPanel">
					<Setter Property="Visibility" Value="{Binding XMLFile.ValidateInput, Converter={StaticResource BoolToVis}}" />
				</Style>
			</StackPanel.Style>
			<Label Content="{Binding XMLFile.XMLValidationErrors.Count}"
					ContentStringFormat="{}{0} Warnings/Errors"
					MinWidth="80">
				<Label.Style>
					<Style TargetType="Label">
						<Setter Property="Foreground" Value="Red" />
						<Style.Triggers>
							<DataTrigger Binding="{Binding XMLFile.XMLValidationErrors.Count}" Value="0">
								<Setter Property="Foreground" Value="Black" />
							</DataTrigger>
						</Style.Triggers>
					</Style>
				</Label.Style>
			</Label>
			<Button x:Name="btnDetails" Margin="10,0,0,0" Content="Details..." HorizontalAlignment="Left" Width="91"
					Click="btnDetails_Click">
				<Button.Style>
					<Style TargetType="Button">
						<Setter Property="IsEnabled" Value="True" />
						<Style.Triggers>
							<DataTrigger Binding="{Binding XMLFile.XMLValidationErrors.Count}" Value="0">
								<Setter Property="IsEnabled" Value="False" />
							</DataTrigger>
						</Style.Triggers>
					</Style>
				</Button.Style>
			</Button>
		</StackPanel>
	</StackPanel>
</UserControl>